#
# spec file for package quota (Version 3.13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           quota
BuildRequires:  e2fsprogs-devel tcpd-devel
Version:        3.13
Release:        17.2
PreReq:         %insserv_prereq %fillup_prereq
Autoreqprov:    on
Group:          System/Filesystems
License:        GPL
URL:            http://sourceforge.net/projects/linuxquota/
Summary:        Disk Quota System
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-%{version}-SUSE.tar.gz
Patch0:         %{name}-%{version}.diff
Patch1:         %{name}-%{version}-man.diff
Patch2:         %{name}-%{version}-warnquota.diff
Patch3:         %{name}-%{version}-type.diff
Patch4:         %{name}-%{version}-pie.diff
Patch5:         %{name}-%{version}-long-name.diff
Patch6:         %{name}-%{version}-errmsg.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Quota subsystem allows system administrator to set soft and hard limits
on used space and number of used inodes for users and/or groups. The
kernel must be compiled with disk quota support enabled (SUSE kernels
have this support).



Authors:
--------
    Marco van Wieringen <mvw@planets.ow.nl>
    Johan Ekenberg <johan@ekenberg.nu>
    Jan Kara <jack@suse.cz>

%debug_package
%prep
%setup -q -n quota-tools -a 1
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
find -type d -name CVS -exec rm -rf {} \; -prune
find -type d | xargs chmod 755

%build
%{suse_update_config -f}
aclocal --force
autoconf --force
CFLAGS="$RPM_OPT_FLAGS -Wall -fPIE" \
	./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}
make CC="gcc"

%install
install -d -m 755 ${RPM_BUILD_ROOT}/etc/init.d
install -d -m 755 ${RPM_BUILD_ROOT}/sbin
make install ROOTDIR=${RPM_BUILD_ROOT}
mv ${RPM_BUILD_ROOT}%{_sbindir}/{quotacheck,quotaon,quotaoff} ${RPM_BUILD_ROOT}/sbin/
#ln -sf ../../sbin/quotacheck ${RPM_BUILD_ROOT}/usr/sbin/quotacheck
cp SUSE/{quotad,boot.quota} ${RPM_BUILD_ROOT}/etc/init.d
#ln -s ../../etc/init.d/quota  ${RPM_BUILD_ROOT}/usr/sbin/rcquota
ln -s ../../etc/init.d/quotad ${RPM_BUILD_ROOT}/usr/sbin/rcquotad
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv boot.quota quotad}

%postun
%{insserv_cleanup}

%files -f %{name}.lang
%defattr(-,root,root)
%config /etc/quotagrpadmins
%config /etc/init.d/boot.quota
%config /etc/init.d/quotad
%config /etc/quotatab
%config /etc/warnquota.conf
%doc SUSE/README.SUSE README.* doc
%doc %{_mandir}/man?/*
/sbin/*
%{_bindir}/*
%{_sbindir}/*

%changelog -n quota
* Fri Apr 07 2006 - mjancar@suse.cz
- fix garbage in error messages (#164377)
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - mjancar@suse.cz
- ask kernel instead of runfile for status (#58564)
* Fri Jan 20 2006 - mjancar@suse.cz
- verbose quotacheck on boot (#71077)
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed Jul 13 2005 - mjancar@suse.cz
- update to 3.13
- run quotacheck only when fsck returns error or quota files are missing
* Thu Jun 23 2005 - ro@suse.de
- added pie patch from FC
* Mon Mar 07 2005 - mjancar@suse.cz
- use RPM_OPT_FLAGS
* Thu Feb 17 2005 - mjancar@suse.cz
- update to 3.12
* Mon Nov 01 2004 - tcrhak@suse.cz
- removed the hard coded limit (256) of mounted file systems,
  by making the array dynamic (bug #47259, patch maxmntpoints)
* Thu Sep 23 2004 - tcrhak@suse.cz
- merged init.d/quota into boot.quota, run quotacheck always (bug #43564)
- added nfsserver to Required-Start to quotad (bug #41800)
- added new variable FAIL to warnquota.conf (bug #45782)
* Tue Jun 01 2004 - meissner@suse.de
- removed typedef which is no longer needed and causes
  problems on ppc64.
* Mon Mar 08 2004 - tcrhak@suse.cz
- update to version 3.11
* Wed Oct 08 2003 - tcrhak@suse.cz
- use 'rcnfsserver status' rather then 'rcnfs status'
  in script rcquotad (bug #32131)
* Wed Jul 30 2003 - tcrhak@suse.cz
- update to version 3.10pre1
* Wed Jul 23 2003 - tcrhak@suse.cz
- update to version 3.09
* Fri Mar 07 2003 - kukuk@suse.de
- Fix path in init scripts [Bug #24849]
- Move quotacheck binary to /sbin (boot.quota expects it here,
  /usr/sbin must not be accesible at this time)
* Fri Jan 17 2003 - kukuk@suse.de
- Use own rquota.[xh] for building
* Thu Jan 09 2003 - tcrhak@suse.cz
- use glibc-devel's rquota.h and rquota.x for building
- removed rquota.h and rquota.x from the filelist
* Mon Dec 16 2002 - tcrhak@suse.cz
- update to version 3.08
* Wed Oct 02 2002 - tcrhak@suse.cz
- fixed bugs #20275 and #20278:
- added warnquota configuration files
- added /etc/quotatab to warnquota manual page
- fixed README.SuSE
- removed quotad and colon patches and applied
  them to the SuSE tarball
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Sep 06 2002 - tcrhak@suse.cz
- further to the previous fix: really do not start
  quotad unless all the services are running
* Thu Sep 05 2002 - tcrhak@suse.cz
- fixed rcquotad script (bug #17319)
- use rc... status to test whether required services
  are running
- go through these tests only for `start'
- exit with 1 rather then 0 when some service is
  not running
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Sat Jul 27 2002 - adrian@suse.de
- really do not source rc.config ;)
* Wed Jul 24 2002 - kukuk@suse.de
- Don't source rc.config
* Mon Jun 24 2002 - ro@suse.de
- fixed directory permissions
* Wed May 29 2002 - ro@suse.de
- define FIOSIZE ioctl for x86_64
* Wed Mar 20 2002 - tcrhak@suse.cz
- put SuSE files into a tarball
- removed colons from quota and quotad init scripts (bug #14704)
- renamed quota.patch to quota-%%{version}.patch
* Sat Feb 16 2002 - ro@suse.de
- moved boot.quota from aaa_base to this package
* Tue Jan 08 2002 - vinil@suse.cz
- init scripts LSBed #12696
- removed START_QUOTA{,D} variables
- update to 3.03
- removed quotatool utility
* Tue Nov 20 2001 - vinil@suse.cz
- update to 3.02 -> provides 'convertquota -e' for bad compiled 7.3
- get rid of wrong quota_byteswap.h; byteswap.h is provided by glibc
  bug #12229
* Wed Oct 31 2001 - vinil@suse.cz
- update to 3.01-final
- QUOTAOFF_BIN corrected to quotaoff in rcquota
- URL fixed for uptodate path
* Tue Aug 14 2001 - dan@suse.cz
- ppc architecture dependent patch removed
* Mon Aug 13 2001 - dan@suse.cz
- update to 3.01-pre8
- convertquota listed in spec file (#9403)
* Thu Jul 05 2001 - olh@suse.de
- seems to work with stock 2.4.6 on ppc and 2.4.6ac1 on i386
* Wed Jul 04 2001 - olh@suse.de
- update to 3.01-pre7 and fix compile on ppc
* Fri Jun 29 2001 - pblaha@suse.cz
- rewrite init script to LSB
* Mon Jun 18 2001 - poeml@suse.de
- correct pathnames in README.SuSE
- add conveniency links to init scripts
* Wed May 02 2001 - pblaha@suse.cz
- update for better quota support in reiser fs
* Sun Apr 15 2001 - schwab@suse.de
- Add %%suse_update_config.
* Thu Mar 29 2001 - pblaha@suse.cz
- add quotatool utility for set qouta from command line
* Wed Mar 21 2001 - schwab@suse.de
- Don't use _syscallX on ia64.
* Mon Jan 29 2001 - pblaha@suse.cz
- update on current stable 2.00  and add doc
* Thu Jan 11 2001 - ro@suse.de
- replace linux/quota.h by sys/quota.h to make it compile
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Fri Dec 15 2000 - pblaha@suse.cz
- applied patch for support upport multiple NFS servers
* Sun Dec 10 2000 - schwab@suse.de
- Don't use _syscallX on ia64.
* Fri Dec 08 2000 - kukuk@suse.de
- Fix Provides of init.d scripts
* Fri Dec 01 2000 - kukuk@suse.de
- Add info section to init scripts
- Move init scripts sbin/init.d -> etc/init.d
* Fri Oct 27 2000 - bg@suse.de
- changed return value of getopt from char to int for all occurances
  (Fix Bug #4122)
* Tue Oct 03 2000 - smid@suse.cz
- bug in warnquota fixed [#4052]
* Thu Jun 08 2000 - cihlar@suse.cz
- added %%clean
* Wed Jun 07 2000 - dipa@suse.de
- fix for 4 GB limit in quota.c, repquota.c, edquota.c and warnquota.c
  from Debian Bug report logs - #39249:
  "quota programs overflow at about 3GB"
* Fri Apr 28 2000 - kukuk@suse.de
- Fix buildroot
- Don't use kernel header files
* Tue Apr 11 2000 - smid@suse.cz
- buildroot added
* Wed Feb 16 2000 - kukuk@suse.de
- Fill in the Group tag.
* Thu Jan 27 2000 - kukuk@suse.de
- Use %%{_mandir} macro
* Mon Jan 24 2000 - kukuk@suse.de
- Add patch for SPARC
- Fix 4GB limit
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Mar 27 1999 - kukuk@suse.de
- Show quota on NFS automounted filesystems
- Update rc scripts
- Fix some compiler warnings
* Thu Oct 29 1998 - ro@suse.de
- added MNTOPT_xxx if not defined (for glibc)
- only use -lbsd if available
* Thu Jul 16 1998 - tmg@suse.de
- fixed install section
* Tue Jul 07 1998 - tmg@suse.de
- updated to quota 1.70 (new program setquota)
- added rc-scripts and quota check support for /sbin/init.d/boot
* Wed Nov 19 1997 - florian@suse.de
- do not install include files
- compile with -DRPC
* Tue Jun 03 1997 - bs@suse.de
  removed man page quotactl.2.gz (included in ldpman)
* Thu Jan 02 1997 - florian@suse.de
  new version 1.55
